Skip to main content
Storage Management/Data Storage APIs/Distributed Storage Related Interfaces
POSTDistributed Storage Related InterfacesSince 0.6SynchronousAuth Required

Add Monitoring Node to Distributed Storage

Add Monitoring Node to Distributed Storage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    UUID of the distributed storage

Body Fields

  • monUrlsListRequired

    List of mon node addresses

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/zstack/v1/primary-storage/ceph/{uuid}/mons

/zstack/v1/primary-storage/ceph/{uuid}/mons

Operation ID

AddMonToCephPrimaryStorage

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/primary-storage/ceph/{uuid}/mons' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"monUrls":["<monUrls>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history